export const YYYYMMDDHHmmss = "YYYY-MM-DD HH:mm:ss";
const env = import.meta.env;
export const VITE_SLS_STORE_NAME = env.VITE_SLS_STORE_NAME as string;
export const VITE_CONFIG_FILE_SEVER_URL = env.VITE_CONFIG_FILE_SEVER_URL;
export const VITE_GIT_REPO_VERSION = env.DEV
  ? "开发中..."
  : (env.VITE_GIT_REPO_VERSION as string);

const domainCandidate =
  window.location.hostname.split(".")[0] + ".ecs.qmth.com.cn";
export const DOMAIN = env.DEV
  ? (env.VITE_DEVELOPMENT_DOMAIN as string)
  : domainCandidate;

/** 限流请求的服务器 */
export const LIMIT_SERVER = "https://tcc.qmth.com.cn";

export const FACE_API_MODEL_PATH = env.BASE_URL + "models/20190620/";

/** 严格检测exe的指纹 */
export const HOST_FILE_HASH_MAP = new Map([
  [
    "pc-test.ea100.com.cn",
    "7501fb797d0bac668e13f392b42e1b9f6464442c2ffc03c2a3243416ef226eb8",
  ],
  [
    "qmtest.exam-cloud.cn",
    "a31c9eb84fe82031fb01e9e25262f0b407caa705b5245654faeed1490bff67f9",
  ],
  // [
  //   "uestccourse.exam-cloud.cn",
  //   "1ebdaa1e00fbefca0f6519e252e4d372bcb9c3f96c45760b032ca58683d28306",
  // ],
]);

export const STRICT_CHECK_HOSTS = [...HOST_FILE_HASH_MAP.keys()];
